| Home | Libraries | People | FAQ | More

##### ssl::stream::in_avail (1 of 2 overloads)

Determine the amount of data that may be read without blocking.

    std::size_t in_avail();

This function is used to determine the amount of data, in bytes, that may be read from the stream without blocking.

###### Return Value

The number of bytes of data that can be read without blocking.

###### Exceptions

boost::system::system_error

  Thrown on failure.